import {
  createRouter, createWebHashHistory, RouteRecordRaw,
} from 'vue-router';

// 静态路由
export const constantRoutes: Array<RouteRecordRaw> = [
  {
    path: '/',
    name: 'helloWorld',
    component: () => import('@/components/HelloWorld.vue'),
  }
]

// 异步路由
export const asyncRoutes: Array<RouteRecordRaw> = [

]

const router = createRouter({
  history: createWebHashHistory(), // hash模式：createWebHashHistory，history模式：createWebHistory
  scrollBehavior: () => ({ // 切换路由, 始终滚动到顶部
    top: 0
  }),
  routes: constantRoutes
});

export default router;
